THREATINT

We use these services and cookies to improve your user experience. You may opt out if you wish, however, this may limit some features on this site.

Please see our statement on Data Privacy.

Zendesk (Helpdesk and Chat)

Ok

PUBLISHED

CVE-2023-51380

Incorrect Authorization allows Read Access to Issue Comments in GitHub Enterprise Server

Reserved:2023-12-18
Published:2023-12-21
Updated:2024-06-11

Description

An incorrect authorization vulnerability was identified in GitHub Enterprise Server that allowed issue comments to be read with an improperly scoped token. This vulnerability affected all versions of GitHub Enterprise Server since 3.7 and was fixed in version 3.7.19, 3.8.12, 3.9.7, 3.10.4, and 3.11.1.



LOW: 2.7CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:L/I:N/A:N

Problem types

CWE-863 Incorrect Authorization

Product status

Default status
affected

3.7.0
affected

3.8.0
affected

3.9.0
affected

3.10.0
affected

3.11
affected

Credits

Douglas Day finder

References

https://docs.github.com/en/enterprise-server@3.7/admin/release-notes#3.7.19

https://docs.github.com/en/enterprise-server@3.8/admin/release-notes#3.8.12

https://docs.github.com/en/enterprise-server@3.9/admin/release-notes#3.9.7

https://docs.github.com/en/enterprise-server@3.10/admin/release-notes#3.10.4

https://docs.github.com/en/enterprise-server@3.11/admin/release-notes#3.11.1

cve.org CVE-2023-51380

nvd.nist.gov CVE-2023-51380

Download JSON

Share this page
https://cve.threatint.com/CVE/CVE-2023-51380